package com.hdp.pi.dto.kolon;

import java.io.Serializable;

import org.apache.commons.lang.StringUtils;

import com.hdp.pi.utils.kolon.CONSTANTS;
import com.hdp.pi.utils.kolon.Util;

public class KolonMemberDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	public String csNo;
	
	public String cardNo;
	
	public String birthday;
	
	public String phone;

	public String lastName;

	public String firstName;

	public String email;

	public Integer status;

	public Integer bonus;

	public String lifecycle;

	public Integer customerType;

	public String wechatLastName;

	public String wechatFirstName;

	public KolonMemberDTO(){
		
	}
	
	public KolonMemberDTO(String[] row) {
		super();
		this.csNo = Util.getByIndex(row, 1);
		this.birthday = Util.getByIndex(row, 2);
		this.status = CONSTANTS.STATUS.get(Util.getByIndex(row, 3));
		String b_str = Util.getByIndex(row, 4);
		if(StringUtils.isNotEmpty(b_str)){
			this.bonus = Integer.valueOf(b_str);
		}else{
			this.bonus = 0;
		}
		this.cardNo = Util.getByIndex(row, 5);
		this.lifecycle = Util.getByIndex(row, 6);
		this.customerType = CONSTANTS.CUSTERMERTYPE.get(Util.getByIndex(row, 7));
		this.firstName = Util.getByIndex(row, 8);
		this.lastName = Util.getByIndex(row, 9);
		this.email = Util.getByIndex(row, 10);
		this.phone = Util.getByIndex(row, 11);
		this.wechatLastName= this.lastName;
		this.wechatFirstName= this.firstName;
		
	}

}
